Holger's Java API

## com.antelmann.sql
Class SQLFetchSizeFilter<T>

    java.lang.Object
      com.antelmann.sql.SQLFetchSizeFilter<T>

All Implemented Interfaces:
  Filter<T>, Wrapped<Filter<T>>

    public class SQLFetchSizeFilter<T>

extends Object
implements Filter<T>, Wrapped<Filter<T>>

allows to specify the intended fetch size to be used for the query when executing a fetch on a store

Since:
  17.06.2012, 02:46:05
Author:
  holger
See Also:
  `ConnectionHelper.setFetchSize(int)`, `BaseRowMapper.getResultSet(Filter)`

Field Summary

Fields inherited from interface com.antelmann.util.Filter
`EXCLUDE_ALL_FILTER, INCLUDE_ALL_FILTER`

Constructor Summary
`SQLFetchSizeFilter(Filter<T> filter, int fetchSize)`

Method Summary
`boolean` `accept(T entry)` returns true only if the given entry is accepted by this filter
`int` `getFetchSize()`
`Filter<T>` `unwrap()` returns the embedded instance that this wrapper encloses

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLFetchSizeFilter

    public SQLFetchSizeFilter(Filter<T> filter,
                              int fetchSize)

Method Detail

### getFetchSize

    public int getFetchSize()

### unwrap

    public Filter<T> unwrap()

  Description copied from interface: `Wrapped`
  returns the embedded instance that this wrapper encloses

  Specified by:
    `unwrap` in interface `Wrapped<Filter<T>>`

### accept

    public boolean accept(T entry)

  Description copied from interface: `Filter`
  returns true only if the given entry is accepted by this filter

  Specified by:
    `accept` in interface `Filter<T>`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads